Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Try to watch BBC IPlayer and other television feeds online but message received that I need to install a version of Flash Player that I already have

  • 4 பதிலளிப்புகள்
  • 2 இந்த பிரச்னைகள் உள்ளது
  • 408 views
  • Last reply by r.toddbtinternet.com

My question is simple

தீர்வு தேர்ந்தெடுக்கப்பட்டது

Hmm, try searching for shockwave flash in the about:plugins page.

The expected one is:

File: NPSWF32_21_0_0_213.dll

If you find another one, what is the Path listed?

Read this answer in context 👍 1

All Replies (4)

When I check the Question Details > More System Details next to your post, I think I see the problem:

  • Shockwave Flash 9.0 r45
  • Shockwave Flash 21.0 r0

You need to get rid of the older Flash 9 plugin.

The official method is to do a full uninstall/reinstall of Flash. You can find a link to Adobe's uninstaller in this article: https://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html

But... it usually works to just physically remove the older file. To discover its location, type or paste about:plugins in the address bar and press Enter. You can use Find (Ctrl+f) for npswf to skip to the entries for Flash. Each should list the full path on disk.

On 32-bit Windows, the normal location is:

C:\Windows\System32\Macromed\Flash

If you go into that folder, be careful to delete ONLY the specific file listed in about:plugins because the others may be needed by other programs.

More likely, Flash 9 would be somewhere else on the system that the Adobe updater doesn't bother checking. If it is part of a program folder for a different program, it still is unsafe, but there might be another way to hide it from Firefox if you need that other program.

I could not find any reference to 9. Could it be called something else?

தீர்வு தேர்ந்தெடுக்கப்பட்டது

Hmm, try searching for shockwave flash in the about:plugins page.

The expected one is:

File: NPSWF32_21_0_0_213.dll

If you find another one, what is the Path listed?